%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           ccsm
Version:        0.7.6
Release:        1
Summary:        Plugin and configuration tool - Compiz Fusion Project

Group:          User Interface/Desktops
License:        GPL
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  perl(XML::Parser), intltool, gettext
Requires:       compizconfig-python = %{version} , libcompizconfig = %{version}
Requires:       PyGTK >= 2.10

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains a gui configuration tool to configure Compiz
plugins and the composite window manager.

%prep
%setup -q 

%build


%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT

%find_lang %{name}

%post
update-desktop-database -q %{_datadir}/applications
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
update-desktop-database -q %{_datadir}/applications
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING INSTALL NEWS README TODO VERSION
%{_bindir}/ccsm
%{_datadir}/applications/ccsm.desktop
%{_datadir}/ccsm/images
%{_datadir}/ccsm/icons
%{_datadir}/icons/hicolor
%{python_sitelib}/ccm/Conflicts.py*
%{python_sitelib}/ccm/Constants.py*
%{python_sitelib}/ccm/Pages.py*
%{python_sitelib}/ccm/Settings.py*
%{python_sitelib}/ccm/Utils.py*
%{python_sitelib}/ccm/Window.py*
%{python_sitelib}/ccm/__init__.py*
%{python_sitelib}/ccm/Widgets.py
%{python_sitelib}/ccm/Widgets.pyc
%exclude /usr/lib/python2.5/site-packages/ccsm-%{version}-py2.5.egg-info

%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.6-1
- Version update
* Tue May 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.4-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- Version update
* Sat Oct 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-1
- Version update
* Thu Sep 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.2-1
- Initial release
